// Compiled shader for all platforms, uncompressed size: 44.6KB

Shader "Scatterer/sunFlare" {
SubShader { 
 Tags { "QUEUE"="Transparent" "RenderType"="Transparent" }


 // Stats for Vertex shader:
 //        d3d9 : 3 math
 // Stats for Fragment shader:
 //       d3d11 : 82 math, 12 texture
 //        d3d9 : 144 math, 12 texture
 Pass {
  Tags { "QUEUE"="Transparent" "RenderType"="Transparent" }
  ZTest False
  ZWrite Off
  Cull Off
  Blend One OneMinusSrcColor
Program "vp" {
SubProgram "opengl " {
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD0;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1.zw = vec2(1.0, 1.0);
  tmpvar_1.xy = gl_Vertex.xy;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = gl_MultiTexCoord0.xy;
}


#endif
#ifdef FRAGMENT
#ifndef SHADER_API_OPENGL
    #define SHADER_API_OPENGL 1
#endif
#ifndef SHADER_API_DESKTOP
    #define SHADER_API_DESKTOP 1
#endif

#line 221
struct v2f_vertex_lit {
    vec2 uv;
    vec4 diff;
    vec4 spec;
};
#line 275
struct v2f_img {
    vec4 pos;
    vec2 uv;
};
#line 271
struct appdata_img {
    vec4 vertex;
    vec2 texcoord;
};
#line 59
struct v2f {
    vec4 pos;
    vec2 uv;
};
#line 60
struct appdata_base {
    vec4 vertex;
    vec3 normal;
    vec4 texcoord;
};
#line 16
uniform vec4 _Time;
uniform vec4 _SinTime;
uniform vec4 _CosTime;
uniform vec4 unity_DeltaTime;
#line 21
uniform vec3 _WorldSpaceCameraPos;
#line 27
uniform vec4 _ProjectionParams;
#line 33
uniform vec4 _ScreenParams;
uniform vec4 _ZBufferParams;
#line 40
uniform vec4 unity_CameraWorldClipPlanes[6];
#line 53
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _LightPositionRange;
#line 58
uniform vec4 unity_4LightPosX0;
uniform vec4 unity_4LightPosY0;
uniform vec4 unity_4LightPosZ0;
uniform vec4 unity_4LightAtten0;
#line 63
uniform vec4 unity_LightColor[8];
uniform vec4 unity_LightPosition[8];
#line 69
uniform vec4 unity_LightAtten[8];
uniform vec4 unity_SpotDirection[8];
#line 73
uniform vec4 unity_SHAr;
uniform vec4 unity_SHAg;
uniform vec4 unity_SHAb;
uniform vec4 unity_SHBr;
#line 77
uniform vec4 unity_SHBg;
uniform vec4 unity_SHBb;
uniform vec4 unity_SHC;
#line 83
uniform vec3 unity_LightColor0;
uniform vec3 unity_LightColor1;
uniform vec3 unity_LightColor2;
uniform vec3 unity_LightColor3;
#line 90
uniform vec4 unity_ShadowSplitSpheres[4];
uniform vec4 unity_ShadowSplitSqRadii;
uniform vec4 unity_LightShadowBias;
uniform vec4 _LightSplitsNear;
#line 94
uniform vec4 _LightSplitsFar;
uniform mat4 unity_World2Shadow[4];
uniform vec4 _LightShadowData;
uniform vec4 unity_ShadowFadeCenterAndType;
#line 110



#line 122
uniform mat4 _Object2World;
uniform mat4 _World2Object;
uniform vec4 unity_Scale;
#line 133
uniform mat4 glstate_matrix_transpose_modelview0;
#line 149




#line 173


#line 182
uniform mat4 unity_MatrixV;
uniform mat4 unity_MatrixVP;
#line 48
uniform vec4 unity_ColorSpaceGrey;
#line 89
#line 104
#line 119
#line 125
#line 143
#line 175
#line 192
#line 227
#line 238
#line 248
#line 256
#line 280
#line 286
#line 296
#line 305
#line 312
#line 321
#line 329
#line 338
#line 357
#line 363
#line 376
#line 387
#line 392
#line 418
#line 434
#line 447
#line 25
uniform vec3 _Globals_WorldCameraPos;
uniform vec3 _Globals_Origin;
uniform float sunGlareScale;
#line 30
uniform sampler2D sunSpikes;
uniform sampler2D sunFlare;
uniform sampler2D sunGhost1;
uniform sampler2D sunGhost2;
#line 35
uniform sampler2D _customDepthTexture;
#line 40
uniform vec3 flareSettings;
uniform vec3 spikesSettings;
uniform mat4 ghost1Settings;
#line 44
uniform mat4 ghost2Settings;
#line 48
uniform float Rg;
uniform float Rt;
uniform sampler2D _Sky_Transmittance;
#line 52
uniform float useTransmittance;
uniform vec3 _Sun_WorldSunDir;
#line 56
uniform vec3 sunViewPortPos;
uniform float aspectRatio;
#line 65
#line 73
#line 92
#line 97
#line 132
#line 92
float SQRT( in float f, in float err ) {
    return (( (f >= 0.0) ) ? ( sqrt(f) ) : ( err ));
}
#line 73
vec2 GetTransmittanceUV( in float r, in float mu ) {
    float uR;
    float uMu;
    uR = sqrt(((r - Rg) / (Rt - Rg)));
    #line 77
    uMu = (atan((((mu + 0.15) / 1.15) * tan(1.5))) / 1.5);
    #line 82
    return vec2( uMu, uR);
}
#line 85
vec3 Transmittance( in float r, in float mu ) {
    #line 87
    vec2 uv = GetTransmittanceUV( r, mu);
    return texture2D( _Sky_Transmittance, uv).xyz;
}
#line 97
vec3 getExtinction( in vec3 camera, in vec3 viewdir ) {
    vec3 extinction = vec3( 1.0, 1.0, 1.0);
    #line 103
    float r = length(camera);
    float rMu = dot( camera, viewdir);
    float mu = (rMu / r);
    #line 107
    float deltaSq = SQRT( (((rMu * rMu) - (r * r)) + (Rt * Rt)), 1e+30);
    float din = max( ((-rMu) - deltaSq), 0.0);
    if ((din > 0.0)){
        #line 112
        camera += (din * viewdir);
        rMu += din;
        mu = (rMu / Rt);
        r = Rt;
    }
    #line 126
    extinction = (( (r > Rt) ) ? ( vec3( 1.0, 1.0, 1.0) ) : ( Transmittance( r, mu) ));
    return extinction;
}
#line 132
vec4 frag( in v2f IN ) {
    vec3 WSD = _Sun_WorldSunDir;
    #line 136
    vec3 WCP = _Globals_WorldCameraPos;
    vec3 sunColor = vec3( 0.0);
    #line 142
    sunColor += (flareSettings.x * texture2D( sunFlare, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * flareSettings.y), 1.0)) * flareSettings.z) * sunGlareScale) + 0.5)).xyz);
    sunColor += (spikesSettings.x * texture2D( sunSpikes, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * spikesSettings.y), 1.0)) * spikesSettings.z) * sunGlareScale) + 0.5)).xyz);
    #line 150
    vec2 toScreenCenter = (sunViewPortPos.xy - 0.5);
    vec3 ghosts = vec3( 0.0);
    #line 154
    int i = 0;
    for ( ; (i < 4); (++i)) {
        #line 158
        ghosts += (ghost1Settings[0][i] * texture2D( sunGhost1, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost1Settings[3][i])) * vec2( (aspectRatio * ghost1Settings[1][i]), 1.0)) * ghost1Settings[2][i]) + 0.5)).xyz);
    }
    #line 163
    int i_1 = 0;
    for ( ; (i_1 < 4); (++i_1)) {
        #line 167
        ghosts += (ghost2Settings[0][i_1] * texture2D( sunGhost2, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost2Settings[3][i_1])) * vec2( (aspectRatio * ghost2Settings[1][i_1]), 1.0)) * ghost2Settings[2][i_1]) + 0.5)).xyz);
    }
    #line 180
    ghosts *= smoothstep( 0.0, 1.0, (1.0 - length(toScreenCenter)));
    sunColor += ghosts;
    #line 184
    float depth = float( texture2D( _customDepthTexture, sunViewPortPos.xy));
    vec3 extinction = getExtinction( WCP, WSD);
    #line 188
    vec3 tempSuncolor = vec3( (( (depth < 1.0) ) ? ( 0.0 ) : ( sunColor )));
    tempSuncolor = (( (useTransmittance > 0.0) ) ? ( (tempSuncolor * extinction) ) : ( tempSuncolor ));
    #line 193
    return vec4( tempSuncolor, 1.0);
}
varying vec2 xlv_TEXCOORD0;
void main() {
    vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}
/* NOTE: GLSL optimization failed
0:226(2): warning: empty declaration
0:279(2): warning: empty declaration
0:275(2): warning: empty declaration
0:63(2): warning: empty declaration
0:65(2): warning: empty declaration
0:189(51): error: second and third operands of ?: operator must have matching types
0:189(22): error: cannot construct `vec3' from a non-numeric data type
*/

#endif
"
}
SubProgram "d3d9 " {
// Stats: 3 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
"vs_3_0
dcl_position o0
dcl_texcoord0 o1
def c0, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
mov o0.xy, v0
mov o0.zw, c0.x
mov o1.xy, v1
"
}
SubProgram "d3d11 " {
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
"vs_4_0
eefiecedjnkhkmklcdfgipmgpafnhncaemfkpffgabaaaaaaiiabaaaaadaaaaaa
cmaaaaaakaaaaaaapiaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapadaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahaaaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apadaaaafaepfdejfeejepeoaaeoepfcenebemaafeeffiedepepfceeaaklklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefciiaaaaaa
eaaaabaaccaaaaaafpaaaaaddcbabaaaaaaaaaaafpaaaaaddcbabaaaacaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaadgaaaaaf
dccabaaaaaaaaaaaegbabaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaiadpaaaaiadpdgaaaaafdccabaaaabaaaaaaegbabaaa
acaaaaaadoaaaaab"
}
SubProgram "gles " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
varying highp vec2 xlv_TEXCOORD0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.zw = vec2(1.0, 1.0);
  tmpvar_1.xy = _glesVertex.xy;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

#ifndef SHADER_API_GLES
    #define SHADER_API_GLES 1
#endif
#ifndef SHADER_API_MOBILE
    #define SHADER_API_MOBILE 1
#endif

#line 221
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 275
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 271
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 59
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
};
#line 60
struct appdata_base {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 texcoord;
};
#line 16
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
#line 21
uniform highp vec3 _WorldSpaceCameraPos;
#line 27
uniform highp vec4 _ProjectionParams;
#line 33
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
#line 40
uniform highp vec4 unity_CameraWorldClipPlanes[6];
#line 53
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _LightPositionRange;
#line 58
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
uniform highp vec4 unity_4LightAtten0;
#line 63
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
#line 69
uniform highp vec4 unity_LightAtten[8];
uniform highp vec4 unity_SpotDirection[8];
#line 73
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 77
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 83
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 90
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 94
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 110
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 122
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
#line 133
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 149
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 173
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
#line 182
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 48
uniform lowp vec4 unity_ColorSpaceGrey;
#line 89
#line 104
#line 119
#line 125
#line 143
#line 175
#line 192
#line 227
#line 238
#line 248
#line 256
#line 280
#line 286
#line 296
#line 305
#line 312
#line 321
#line 329
#line 338
#line 357
#line 363
#line 376
#line 387
#line 392
#line 418
#line 434
#line 447
#line 25
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float sunGlareScale;
#line 30
uniform sampler2D sunSpikes;
uniform sampler2D sunFlare;
uniform sampler2D sunGhost1;
uniform sampler2D sunGhost2;
#line 35
uniform sampler2D _customDepthTexture;
#line 40
uniform highp vec3 flareSettings;
uniform highp vec3 spikesSettings;
uniform highp mat4 ghost1Settings;
#line 44
uniform highp mat4 ghost2Settings;
#line 48
uniform highp float Rg;
uniform highp float Rt;
uniform sampler2D _Sky_Transmittance;
#line 52
uniform highp float useTransmittance;
uniform highp vec3 _Sun_WorldSunDir;
#line 56
uniform highp vec3 sunViewPortPos;
uniform highp float aspectRatio;
#line 65
#line 73
#line 92
#line 97
#line 132
#line 92
highp float SQRT( in highp float f, in highp float err ) {
    return (( (f >= 0.0) ) ? ( sqrt(f) ) : ( err ));
}
#line 73
highp vec2 GetTransmittanceUV( in highp float r, in highp float mu ) {
    highp float uR;
    highp float uMu;
    uR = sqrt(((r - Rg) / (Rt - Rg)));
    #line 77
    uMu = (atan((((mu + 0.15) / 1.15) * tan(1.5))) / 1.5);
    #line 82
    return vec2( uMu, uR);
}
#line 85
highp vec3 Transmittance( in highp float r, in highp float mu ) {
    #line 87
    highp vec2 uv = GetTransmittanceUV( r, mu);
    return texture2D( _Sky_Transmittance, uv).xyz;
}
#line 97
highp vec3 getExtinction( in highp vec3 camera, in highp vec3 viewdir ) {
    highp vec3 extinction = vec3( 1.0, 1.0, 1.0);
    #line 103
    highp float r = length(camera);
    highp float rMu = dot( camera, viewdir);
    highp float mu = (rMu / r);
    #line 107
    highp float deltaSq = SQRT( (((rMu * rMu) - (r * r)) + (Rt * Rt)), 1e+30);
    highp float din = max( ((-rMu) - deltaSq), 0.0);
    if ((din > 0.0)){
        #line 112
        camera += (din * viewdir);
        rMu += din;
        mu = (rMu / Rt);
        r = Rt;
    }
    #line 126
    extinction = (( (r > Rt) ) ? ( vec3( 1.0, 1.0, 1.0) ) : ( Transmittance( r, mu) ));
    return extinction;
}
#line 132
highp vec4 frag( in v2f IN ) {
    highp vec3 WSD = _Sun_WorldSunDir;
    #line 136
    highp vec3 WCP = _Globals_WorldCameraPos;
    highp vec3 sunColor = vec3( 0.0);
    #line 142
    sunColor += (flareSettings.x * texture2D( sunFlare, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * flareSettings.y), 1.0)) * flareSettings.z) * sunGlareScale) + 0.5)).xyz);
    sunColor += (spikesSettings.x * texture2D( sunSpikes, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * spikesSettings.y), 1.0)) * spikesSettings.z) * sunGlareScale) + 0.5)).xyz);
    #line 150
    highp vec2 toScreenCenter = (sunViewPortPos.xy - 0.5);
    highp vec3 ghosts = vec3( 0.0);
    #line 154
    highp int i = 0;
    for ( ; (i < 4); (++i)) {
        #line 158
        ghosts += (ghost1Settings[0][i] * texture2D( sunGhost1, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost1Settings[3][i])) * vec2( (aspectRatio * ghost1Settings[1][i]), 1.0)) * ghost1Settings[2][i]) + 0.5)).xyz);
    }
    #line 163
    highp int i_1 = 0;
    for ( ; (i_1 < 4); (++i_1)) {
        #line 167
        ghosts += (ghost2Settings[0][i_1] * texture2D( sunGhost2, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost2Settings[3][i_1])) * vec2( (aspectRatio * ghost2Settings[1][i_1]), 1.0)) * ghost2Settings[2][i_1]) + 0.5)).xyz);
    }
    #line 180
    ghosts *= smoothstep( 0.0, 1.0, (1.0 - length(toScreenCenter)));
    sunColor += ghosts;
    #line 184
    highp float depth = float( texture2D( _customDepthTexture, sunViewPortPos.xy));
    highp vec3 extinction = getExtinction( WCP, WSD);
    #line 188
    highp vec3 tempSuncolor = vec3( (( (depth < 1.0) ) ? ( 0.0 ) : ( sunColor )));
    tempSuncolor = (( (useTransmittance > 0.0) ) ? ( (tempSuncolor * extinction) ) : ( tempSuncolor ));
    #line 193
    return vec4( tempSuncolor, 1.0);
}
varying highp vec2 xlv_TEXCOORD0;
void main() {
    highp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}
/* NOTE: GLSL optimization failed
0:226(2): warning: empty declaration
0:279(2): warning: empty declaration
0:275(2): warning: empty declaration
0:63(2): warning: empty declaration
0:65(2): warning: empty declaration
0:189(57): error: second and third operands of ?: operator must have matching types
0:189(28): error: cannot construct `vec3' from a non-numeric data type
*/


#endif"
}
SubProgram "glesdesktop " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
varying highp vec2 xlv_TEXCOORD0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.zw = vec2(1.0, 1.0);
  tmpvar_1.xy = _glesVertex.xy;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

#ifndef SHADER_API_GLES
    #define SHADER_API_GLES 1
#endif
#ifndef SHADER_API_DESKTOP
    #define SHADER_API_DESKTOP 1
#endif

#line 221
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 275
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 271
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 59
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
};
#line 60
struct appdata_base {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 texcoord;
};
#line 16
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
#line 21
uniform highp vec3 _WorldSpaceCameraPos;
#line 27
uniform highp vec4 _ProjectionParams;
#line 33
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
#line 40
uniform highp vec4 unity_CameraWorldClipPlanes[6];
#line 53
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _LightPositionRange;
#line 58
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
uniform highp vec4 unity_4LightAtten0;
#line 63
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
#line 69
uniform highp vec4 unity_LightAtten[8];
uniform highp vec4 unity_SpotDirection[8];
#line 73
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 77
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 83
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 90
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 94
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 110
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 122
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
#line 133
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 149
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 173
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
#line 182
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 48
uniform lowp vec4 unity_ColorSpaceGrey;
#line 89
#line 104
#line 119
#line 125
#line 143
#line 175
#line 192
#line 227
#line 238
#line 248
#line 256
#line 280
#line 286
#line 296
#line 305
#line 312
#line 321
#line 329
#line 338
#line 357
#line 363
#line 376
#line 387
#line 392
#line 418
#line 434
#line 447
#line 25
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float sunGlareScale;
#line 30
uniform sampler2D sunSpikes;
uniform sampler2D sunFlare;
uniform sampler2D sunGhost1;
uniform sampler2D sunGhost2;
#line 35
uniform sampler2D _customDepthTexture;
#line 40
uniform highp vec3 flareSettings;
uniform highp vec3 spikesSettings;
uniform highp mat4 ghost1Settings;
#line 44
uniform highp mat4 ghost2Settings;
#line 48
uniform highp float Rg;
uniform highp float Rt;
uniform sampler2D _Sky_Transmittance;
#line 52
uniform highp float useTransmittance;
uniform highp vec3 _Sun_WorldSunDir;
#line 56
uniform highp vec3 sunViewPortPos;
uniform highp float aspectRatio;
#line 65
#line 73
#line 92
#line 97
#line 132
#line 92
highp float SQRT( in highp float f, in highp float err ) {
    return (( (f >= 0.0) ) ? ( sqrt(f) ) : ( err ));
}
#line 73
highp vec2 GetTransmittanceUV( in highp float r, in highp float mu ) {
    highp float uR;
    highp float uMu;
    uR = sqrt(((r - Rg) / (Rt - Rg)));
    #line 77
    uMu = (atan((((mu + 0.15) / 1.15) * tan(1.5))) / 1.5);
    #line 82
    return vec2( uMu, uR);
}
#line 85
highp vec3 Transmittance( in highp float r, in highp float mu ) {
    #line 87
    highp vec2 uv = GetTransmittanceUV( r, mu);
    return texture2D( _Sky_Transmittance, uv).xyz;
}
#line 97
highp vec3 getExtinction( in highp vec3 camera, in highp vec3 viewdir ) {
    highp vec3 extinction = vec3( 1.0, 1.0, 1.0);
    #line 103
    highp float r = length(camera);
    highp float rMu = dot( camera, viewdir);
    highp float mu = (rMu / r);
    #line 107
    highp float deltaSq = SQRT( (((rMu * rMu) - (r * r)) + (Rt * Rt)), 1e+30);
    highp float din = max( ((-rMu) - deltaSq), 0.0);
    if ((din > 0.0)){
        #line 112
        camera += (din * viewdir);
        rMu += din;
        mu = (rMu / Rt);
        r = Rt;
    }
    #line 126
    extinction = (( (r > Rt) ) ? ( vec3( 1.0, 1.0, 1.0) ) : ( Transmittance( r, mu) ));
    return extinction;
}
#line 132
highp vec4 frag( in v2f IN ) {
    highp vec3 WSD = _Sun_WorldSunDir;
    #line 136
    highp vec3 WCP = _Globals_WorldCameraPos;
    highp vec3 sunColor = vec3( 0.0);
    #line 142
    sunColor += (flareSettings.x * texture2D( sunFlare, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * flareSettings.y), 1.0)) * flareSettings.z) * sunGlareScale) + 0.5)).xyz);
    sunColor += (spikesSettings.x * texture2D( sunSpikes, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * spikesSettings.y), 1.0)) * spikesSettings.z) * sunGlareScale) + 0.5)).xyz);
    #line 150
    highp vec2 toScreenCenter = (sunViewPortPos.xy - 0.5);
    highp vec3 ghosts = vec3( 0.0);
    #line 154
    highp int i = 0;
    for ( ; (i < 4); (++i)) {
        #line 158
        ghosts += (ghost1Settings[0][i] * texture2D( sunGhost1, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost1Settings[3][i])) * vec2( (aspectRatio * ghost1Settings[1][i]), 1.0)) * ghost1Settings[2][i]) + 0.5)).xyz);
    }
    #line 163
    highp int i_1 = 0;
    for ( ; (i_1 < 4); (++i_1)) {
        #line 167
        ghosts += (ghost2Settings[0][i_1] * texture2D( sunGhost2, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost2Settings[3][i_1])) * vec2( (aspectRatio * ghost2Settings[1][i_1]), 1.0)) * ghost2Settings[2][i_1]) + 0.5)).xyz);
    }
    #line 180
    ghosts *= smoothstep( 0.0, 1.0, (1.0 - length(toScreenCenter)));
    sunColor += ghosts;
    #line 184
    highp float depth = float( texture2D( _customDepthTexture, sunViewPortPos.xy));
    highp vec3 extinction = getExtinction( WCP, WSD);
    #line 188
    highp vec3 tempSuncolor = vec3( (( (depth < 1.0) ) ? ( 0.0 ) : ( sunColor )));
    tempSuncolor = (( (useTransmittance > 0.0) ) ? ( (tempSuncolor * extinction) ) : ( tempSuncolor ));
    #line 193
    return vec4( tempSuncolor, 1.0);
}
varying highp vec2 xlv_TEXCOORD0;
void main() {
    highp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}
/* NOTE: GLSL optimization failed
0:226(2): warning: empty declaration
0:279(2): warning: empty declaration
0:275(2): warning: empty declaration
0:63(2): warning: empty declaration
0:65(2): warning: empty declaration
0:189(57): error: second and third operands of ?: operator must have matching types
0:189(28): error: cannot construct `vec3' from a non-numeric data type
*/


#endif"
}
SubProgram "gles3 " {
"!!GLES3#version 300 es


#ifdef VERTEX

in vec4 _glesVertex;
in vec4 _glesMultiTexCoord0;
out highp vec2 xlv_TEXCOORD0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.zw = vec2(1.0, 1.0);
  tmpvar_1.xy = _glesVertex.xy;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT


#ifndef SHADER_API_GLES3
    #define SHADER_API_GLES3 1
#endif
#ifndef SHADER_API_MOBILE
    #define SHADER_API_MOBILE 1
#endif
#define gl_FragColor _glesFragData[0]
#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];

#line 221
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 275
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 271
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 59
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
};
#line 60
struct appdata_base {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 texcoord;
};
#line 16
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
#line 21
uniform highp vec3 _WorldSpaceCameraPos;
#line 27
uniform highp vec4 _ProjectionParams;
#line 33
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
#line 40
uniform highp vec4 unity_CameraWorldClipPlanes[6];
#line 53
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _LightPositionRange;
#line 58
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
uniform highp vec4 unity_4LightAtten0;
#line 63
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
#line 69
uniform highp vec4 unity_LightAtten[8];
uniform highp vec4 unity_SpotDirection[8];
#line 73
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 77
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 83
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 90
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 94
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 110
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 122
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
#line 133
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 149
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 173
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
#line 182
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 48
uniform lowp vec4 unity_ColorSpaceGrey;
#line 89
#line 104
#line 119
#line 125
#line 143
#line 175
#line 192
#line 227
#line 238
#line 248
#line 256
#line 280
#line 286
#line 296
#line 305
#line 312
#line 321
#line 329
#line 338
#line 357
#line 363
#line 376
#line 387
#line 392
#line 418
#line 434
#line 447
#line 25
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float sunGlareScale;
#line 30
uniform sampler2D sunSpikes;
uniform sampler2D sunFlare;
uniform sampler2D sunGhost1;
uniform sampler2D sunGhost2;
#line 35
uniform sampler2D _customDepthTexture;
#line 40
uniform highp vec3 flareSettings;
uniform highp vec3 spikesSettings;
uniform highp mat4 ghost1Settings;
#line 44
uniform highp mat4 ghost2Settings;
#line 48
uniform highp float Rg;
uniform highp float Rt;
uniform sampler2D _Sky_Transmittance;
#line 52
uniform highp float useTransmittance;
uniform highp vec3 _Sun_WorldSunDir;
#line 56
uniform highp vec3 sunViewPortPos;
uniform highp float aspectRatio;
#line 65
#line 73
#line 92
#line 97
#line 132
#line 92
highp float SQRT( in highp float f, in highp float err ) {
    return (( (f >= 0.0) ) ? ( sqrt(f) ) : ( err ));
}
#line 73
highp vec2 GetTransmittanceUV( in highp float r, in highp float mu ) {
    highp float uR;
    highp float uMu;
    uR = sqrt(((r - Rg) / (Rt - Rg)));
    #line 77
    uMu = (atan((((mu + 0.15) / 1.15) * tan(1.5))) / 1.5);
    #line 82
    return vec2( uMu, uR);
}
#line 85
highp vec3 Transmittance( in highp float r, in highp float mu ) {
    #line 87
    highp vec2 uv = GetTransmittanceUV( r, mu);
    return texture( _Sky_Transmittance, uv).xyz;
}
#line 97
highp vec3 getExtinction( in highp vec3 camera, in highp vec3 viewdir ) {
    highp vec3 extinction = vec3( 1.0, 1.0, 1.0);
    #line 103
    highp float r = length(camera);
    highp float rMu = dot( camera, viewdir);
    highp float mu = (rMu / r);
    #line 107
    highp float deltaSq = SQRT( (((rMu * rMu) - (r * r)) + (Rt * Rt)), 1e+30);
    highp float din = max( ((-rMu) - deltaSq), 0.0);
    if ((din > 0.0)){
        #line 112
        camera += (din * viewdir);
        rMu += din;
        mu = (rMu / Rt);
        r = Rt;
    }
    #line 126
    extinction = (( (r > Rt) ) ? ( vec3( 1.0, 1.0, 1.0) ) : ( Transmittance( r, mu) ));
    return extinction;
}
#line 132
highp vec4 frag( in v2f IN ) {
    highp vec3 WSD = _Sun_WorldSunDir;
    #line 136
    highp vec3 WCP = _Globals_WorldCameraPos;
    highp vec3 sunColor = vec3( 0.0);
    #line 142
    sunColor += (flareSettings.x * texture( sunFlare, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * flareSettings.y), 1.0)) * flareSettings.z) * sunGlareScale) + 0.5)).xyz);
    sunColor += (spikesSettings.x * texture( sunSpikes, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * spikesSettings.y), 1.0)) * spikesSettings.z) * sunGlareScale) + 0.5)).xyz);
    #line 150
    highp vec2 toScreenCenter = (sunViewPortPos.xy - 0.5);
    highp vec3 ghosts = vec3( 0.0);
    #line 154
    highp int i = 0;
    for ( ; (i < 4); (++i)) {
        #line 158
        ghosts += (ghost1Settings[0][i] * texture( sunGhost1, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost1Settings[3][i])) * vec2( (aspectRatio * ghost1Settings[1][i]), 1.0)) * ghost1Settings[2][i]) + 0.5)).xyz);
    }
    #line 163
    highp int i_1 = 0;
    for ( ; (i_1 < 4); (++i_1)) {
        #line 167
        ghosts += (ghost2Settings[0][i_1] * texture( sunGhost2, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost2Settings[3][i_1])) * vec2( (aspectRatio * ghost2Settings[1][i_1]), 1.0)) * ghost2Settings[2][i_1]) + 0.5)).xyz);
    }
    #line 180
    ghosts *= smoothstep( 0.0, 1.0, (1.0 - length(toScreenCenter)));
    sunColor += ghosts;
    #line 184
    highp float depth = float( texture( _customDepthTexture, sunViewPortPos.xy));
    highp vec3 extinction = getExtinction( WCP, WSD);
    #line 188
    highp vec3 tempSuncolor = vec3( (( (depth < 1.0) ) ? ( 0.0 ) : ( sunColor )));
    tempSuncolor = (( (useTransmittance > 0.0) ) ? ( (tempSuncolor * extinction) ) : ( tempSuncolor ));
    #line 193
    return vec4( tempSuncolor, 1.0);
}
in highp vec2 xlv_TEXCOORD0;
void main() {
    highp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}
/* NOTE: GLSL optimization failed
0:226(2): warning: empty declaration
0:279(2): warning: empty declaration
0:275(2): warning: empty declaration
0:63(2): warning: empty declaration
0:65(2): warning: empty declaration
0:189(57): error: second and third operands of ?: operator must have matching types
0:189(28): error: cannot construct `vec3' from a non-numeric data type
*/


#endif"
}
}
Program "fp" {
SubProgram "opengl " {
"!!GLSL"
}
SubProgram "d3d9 " {
// Stats: 144 math, 12 textures
Matrix 0 [ghost1Settings]
Matrix 4 [ghost2Settings]
Vector 8 [_Globals_WorldCameraPos]
Float 9 [sunGlareScale]
Vector 10 [flareSettings]
Vector 11 [spikesSettings]
Float 12 [Rg]
Float 13 [Rt]
Float 14 [useTransmittance]
Vector 15 [_Sun_WorldSunDir]
Vector 16 [sunViewPortPos]
Float 17 [aspectRatio]
SetTexture 0 [sunFlare] 2D 0
SetTexture 1 [sunSpikes] 2D 1
SetTexture 2 [sunGhost1] 2D 2
SetTexture 3 [sunGhost2] 2D 3
SetTexture 4 [_customDepthTexture] 2D 4
SetTexture 5 [_Sky_Transmittance] 2D 5
"ps_3_0
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c18, -1.00000000, -0.50000000, 1.00000000, 0.50000000
def c19, 2.00000000, 3.00000000, 0.00000000, 1000000015047466200000000000000.00000000
def c20, 0.15000001, 12.26193905, -0.01348047, 0.05747731
def c21, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c22, 1.57079601, 0.66666669, 0, 0
dcl_texcoord0 v0.xy
mov r1.xyz, c8
dp3 r0.x, c8, c8
rsq r0.z, r0.x
rcp r1.w, r0.z
mov r3.x, c17
dp3 r0.w, c15, r1
mul r0.x, r1.w, r1.w
mad r0.x, r0.w, r0.w, -r0
mad r0.y, c13.x, c13.x, r0.x
rsq r0.x, r0.y
rcp r0.x, r0.x
cmp r0.x, r0.y, r0, c19.w
add r0.x, -r0.w, -r0
max r2.x, r0, c19.z
add r0.y, r2.x, r0.w
rcp r0.x, c13.x
mul r0.x, r0.y, r0
mul r0.y, r0.z, r0.w
cmp r0.x, -r2, r0.y, r0
cmp r1.w, -r2.x, r1, c13.x
add r0.x, r0, c20
mul r2.y, r0.x, c20
abs r2.z, r2.y
max r0.x, r2.z, c18.z
mov r0.zw, c16.xyxy
add r0.zw, c18.y, r0
min r0.y, r2.z, c18.z
rcp r0.x, r0.x
mul r1.z, r0.y, r0.x
mul r0.y, r1.z, r1.z
mad r0.x, r0.y, c20.z, c20.w
mad r0.x, r0, r0.y, c21
mad r0.x, r0, r0.y, c21.y
mad r0.x, r0, r0.y, c21.z
mad r2.w, r0.x, r0.y, c21
add r0.xy, v0, -c16
mul r2.w, r2, r1.z
mov r1.z, c17.x
mul r3.z, c1.y, r1
mov r1.z, c17.x
mad r1.xy, r0.zwzw, c2.w, r0
mul r4.x, c0.y, r1.z
mov r3.y, c18.z
mul r3.x, c2.y, r3
mul r1.xy, r1, r3
mul r1.xy, r1, c2.z
add r1.xy, r1, c18.w
mad r3.xy, r0.zwzw, c1.w, r0
mov r3.w, c18.z
mul r3.xy, r3, r3.zwzw
mul r3.xy, r3, c1.z
mad r3.zw, r0, c0.w, r0.xyxy
mov r4.y, c18.z
mul r3.zw, r3, r4.xyxy
mul r4.xy, r3.zwzw, c0.z
add r3.xy, r3, c18.w
texld r3.xyz, r3, s2
add r4.xy, r4, c18.w
texld r4.xyz, r4, s2
mul r3.xyz, r3, c1.x
mad r3.xyz, r4, c0.x, r3
texld r1.xyz, r1, s2
mad r1.xyz, r1, c2.x, r3
mov r3.z, c17.x
mov r4.x, c17
mad r3.xy, r0.zwzw, c3.w, r0
mov r3.w, c18.z
mul r3.z, c3.y, r3
mul r3.xy, r3, r3.zwzw
mul r3.xy, r3, c3.z
mad r3.zw, r0, c4.w, r0.xyxy
mov r4.y, c18.z
mul r4.x, c4.y, r4
mul r3.zw, r3, r4.xyxy
mul r3.zw, r3, c4.z
add r4.xy, r3.zwzw, c18.w
add r3.xy, r3, c18.w
texld r3.xyz, r3, s2
mad r1.xyz, r3, c3.x, r1
texld r3.xyz, r4, s3
mad r1.xyz, r3, c4.x, r1
mov r3.z, c17.x
mov r4.x, c17
mad r3.xy, r0.zwzw, c5.w, r0
mov r3.w, c18.z
mul r3.z, c5.y, r3
mul r3.xy, r3, r3.zwzw
mul r3.xy, r3, c5.z
mad r3.zw, r0, c6.w, r0.xyxy
mov r4.y, c18.z
mul r4.x, c6.y, r4
mul r3.zw, r3, r4.xyxy
mul r3.zw, r3, c6.z
add r4.xy, r3.zwzw, c18.w
add r3.xy, r3, c18.w
texld r3.xyz, r3, s3
mad r1.xyz, r3, c5.x, r1
texld r3.xyz, r4, s3
mad r1.xyz, r3, c6.x, r1
mov r3.z, c17.x
mad r3.xy, r0.zwzw, c7.w, r0
mov r3.w, c18.z
mul r3.z, c7.y, r3
mul r3.xy, r3, r3.zwzw
mov r3.z, c17.x
mul r3.xy, r3, c7.z
texld r2.x, c16, s4
mov r3.w, c18.z
mul r3.z, c10.y, r3
mul r3.zw, r0.xyxy, r3
mul r3.zw, r3, c10.z
mul r4.xy, r3.zwzw, c9.x
add r3.xy, r3, c18.w
texld r3.xyz, r3, s3
mad r1.xyz, r3, c7.x, r1
mov r3.z, c17.x
add r3.xy, r4, c18.w
mov r3.w, c18.z
mul r3.z, c11.y, r3
mul r0.xy, r0, r3.zwzw
mul r4.xy, r0, c11.z
mul r0.xy, r0.zwzw, r0.zwzw
mul r0.zw, r4.xyxy, c9.x
add r3.w, r0.x, r0.y
add r0.xy, r0.zwzw, c18.w
rsq r0.w, r3.w
rcp r0.w, r0.w
add_sat r3.w, -r0, c18.z
texld r0.xyz, r0, s1
texld r3.xyz, r3, s0
mul r0.xyz, r0, c11.x
mad r0.xyz, r3, c10.x, r0
mad r0.w, -r3, c19.x, c19.y
mul r3.x, r3.w, r3.w
mul r0.w, r3.x, r0
mad r0.xyz, r1, r0.w, r0
mov r0.w, c13.x
add r0.w, -c12.x, r0
add r1.z, r2, c18.x
add r1.y, -r2.w, c22.x
add r1.x, r1.w, -c12
rcp r0.w, r0.w
mul r0.w, r1.x, r0
cmp r1.x, -r1.z, r2.w, r1.y
rsq r0.w, r0.w
cmp r1.x, r2.y, r1, -r1
rcp r1.y, r0.w
mul r1.x, r1, c22.y
add r0.w, r1, -c13.x
texld r1.xyz, r1, s5
cmp r1.xyz, -r0.w, r1, c18.z
add r0.w, r2.x, c18.x
cmp r2.xyz, r0.w, r0, c19.z
mul r0.xyz, r2, r1
cmp oC0.xyz, -c14.x, r2, r0
mov oC0.w, c18.z
"
}
SubProgram "d3d11 " {
// Stats: 82 math, 12 textures
SetTexture 0 [sunFlare] 2D 1
SetTexture 1 [sunSpikes] 2D 0
SetTexture 2 [sunGhost1] 2D 2
SetTexture 3 [sunGhost2] 2D 3
SetTexture 4 [_customDepthTexture] 2D 4
SetTexture 5 [_Sky_Transmittance] 2D 5
ConstBuffer "$Globals" 256
Matrix 80 [ghost1Settings]
Matrix 144 [ghost2Settings]
Vector 16 [_Globals_WorldCameraPos] 3
Float 44 [sunGlareScale]
Vector 48 [flareSettings] 3
Vector 64 [spikesSettings] 3
Float 208 [Rg]
Float 212 [Rt]
Float 216 [useTransmittance]
Vector 224 [_Sun_WorldSunDir] 3
Vector 240 [sunViewPortPos] 3
Float 252 [aspectRatio]
BindCB  "$Globals" 0
"ps_4_0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"
}
SubProgram "gles " {
"!!GLES"
}
SubProgram "glesdesktop " {
"!!GLES"
}
SubProgram "gles3 " {
"!!GLES3"
}
}
 }
}
}